package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeErrorInfo;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/GetICollSizeAction.class */
public class GetICollSizeAction extends LifeAction {
    private String iCollName;
    private String iCollSizeField;
    private static String ICOLL_ERROR_CODE = "MB0014";

    public String execute(Context context) throws GENEException {
        try {
            context.setDataValue(this.iCollSizeField, String.valueOf(context.getDataElement(this.iCollName).size()));
            return "0";
        } catch (Exception unused) {
            LifeErrorInfo errorInfo = LifeStandard.getErrorInfo(ICOLL_ERROR_CODE);
            String errorMessage = errorInfo != null ? errorInfo.getShowMsg() : "获取IColl错误";
            Trace.logError("LifeAction", errorMessage);
            context.setDataValue("errorCode", ICOLL_ERROR_CODE);
            context.setDataValue("errorMessage", errorMessage);
            return "-1";
        }
    }

    public String getICollName() {
        return this.iCollName;
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }

    public String getICollSizeField() {
        return this.iCollSizeField;
    }

    public void setICollSizeField(String iCollSizeField) {
        this.iCollSizeField = iCollSizeField;
    }
}
